> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set the preferred update cycle

> Sets the preferred Alumio update cycle, accepting either "latest" or "lts" in the request body. Returns the updated update cycle setting.



## OpenAPI

````yaml /schema.json put /settings/update_cycle
openapi: 3.1.0
info:
  version: 01KV4EC0SHV95TK2YR66AMKFZC
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /settings/update_cycle:
    put:
      tags:
        - Settings
      summary: Set the preferred update cycle
      description: >-
        Sets the preferred Alumio update cycle, accepting either "latest" or
        "lts" in the request body. Returns the updated update cycle setting.
      operationId: updateUpdateCycle
      parameters:
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCycle'
      responses:
        '200':
          description: An object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateCycle'
        default:
          description: Unexpected Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UpdateCycle:
      type: object
      properties:
        updateCycle:
          type: string
          anyOf:
            - const: latest
              title: Latest
            - const: lts
              title: LTS
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string

````